EnZip Version 3.00 Help

Version 3.00

Copyright Chris Marsh 1998-2000

Whats New in EnZip 3.00


What's New in Version 3.00

  • New FTP Upload feature
  • New Favorites explorer panel
  • Archived files/folders can now be renamed
  • Default values can now be set for all Add actions
  • Improved 'Add Files' dialog:
    • Can now add files and folders
    • Easier to add wildcard specifiers
    • Can now specify wildcard exclusions
    • New options on adding:
      • Include only if archive bit set
      • Reset archive attribute
      • Set Zip date to newest or most recent
  • Add dialog for drag and drop actions is now optional
  • Improved 'Extract Files' dialog
  • Improved Context Menu options:
    • Enable/Disable cascading menus
    • Enable/Disable menu icons
    • Enable/Disable Self-Extractor options dialog
    • New Context Menus when using Cascading Menus:
      • Customize ...
      • About ...
  • Removed EnZip entries from Start button right-click context menu
  • EnZip can now automatically add to your favorites menu
  • Redesigned Favorites bar for easier access
  • New right-click context menu for File Browser
  • New Batch Extraction tools
  • Improved Context Menus
    • Added 'Extract from All' for multiple zip selections
    • Added icons for easier identification
  • Extended Self-Extracting options to include:
    • Custom dialog messages
    • Custom icons
  • Now possible to drag directly to/from archived folders
  • Complete Drag/Drop support in File Browser for Add,Extract,Open
  • Improved navigation speed
  • Filenames now displayed in original case - not lower with initial capital
  • Added column views to Customization dialog
  • Displayed columns now include CRC and attributes
  • Added zip file icon selection to Customization dialog
  • Improved startup association dialog (now optional)
  • Improved interface
  • New 'Close Archive' icon

Bugs Fixed in Version 3.00

  • Self-Extractors now auto create new folders
  • Icons in archive header always drawn with dark grey background
  • Rare directory error on start/close of EnZip
  • Registry problem on NT without admin privilages
  • Occassional error on startup
  • Rare problem unzipping certain files
  • Problem opening nested zip files (Version 2.60)


About EnZip 3.00

EnZip, is a freeware zip compression utility for MS Windows. Offering immediate benefits to both new and experienced users, EnZip is one of the most complete zip products available.

Featuring a modern, stylish interface, designed to compliment the Windows Explorer and making it a snap to just pick-up and go. The ideal product to manage the many zip files you download daily from the internet or to create backups of your important data.

Key Features (Version 3.00)

  • Folder view for greater control and navigation of zip files,
    including an explorer tree for quickly locating folders
  • Favorites menu to list the zip files in often used folders,
    ideal for download locations
  • Integrated file explorer, makes finding and loading files
    fast and simple
  • Easily 'Checkout' the contents of a zip file by creating a
    Start Menu group managed by EnZip
  • Install software from zip files without leaving EnZip
  • Package zip files in customizable Self-Extracting programs
    with your own message boxes and icons
  • Encrypt important zip files with personal passwords
  • Manage zip files directly from Windows Explorer
    using pop-up (context) menus for quick tasks
  • Drag and drop from Windows to create zip files or to
    add new files
  • Create zip files spanning multiple floppy disks to transport
    large files
  • Easily scan zip file contents for virus infection


License Agreement

End User License Agreement

Use of EnZip (hereinafter 'SOFTWARE') is contingent on your agreement to the following terms:

  • GRANT OF LICENSE
    The author grants you a limited non-exclusive license to use the SOFTWARE free of charge for ANY purpose, commercial or private, without restriction.

  • DISCLAIMER OF WARRANTY
    THE SOFTWARE IS PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THE AUTHOR FURTHER DISCLAIMS ALL WARRANTIES, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF THE USE OR PERFORMANCE OF THE PRODUCT AND DOCUMENTATION REMAINS WITH RECIPIENT. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY CONSEQUENTIAL, INCIDENTAL, DIRECT, INDIRECT, SPECIAL, PUNITIVE, OR OTHER DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR OTHER PECUNIARY LOSS) ARISING OUT OF THIS AGREEMENT OR THE USE OF OR INABILITY TO USE THE PRODUCT, EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

  • SCOPE OF GRANT
    You may not reverse engineer, decompile or disassemble the SOFTWARE. The Author shall retain title and all ownership rights to the SOFTWARE.

  • COPYRIGHT
    This SOFTWARE is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

  • MAINTENANCE
    The Author is not obligated to provide maintenance or updates for the SOFTWARE. However, any maintenance or updates provided by The Author shall be covered by this Agreement.

  • DISTRIBUTION
    The SOFTWARE may be freely distributed provided that it is not modified and the original archive remains intact with all accompanying files, and provided that no fee is charged (except for any reasonable fees necessary to cover costs of distribution media).


New Archive

Allows you to create a new archive. Type the name of the archive you want to create and use the 'Look in' box to select the folder where you want the archive stored. If the file already exists, you will be prompted before overwriting.

After selecting the new file, EnZip will automatically activate the 'Add files' dialog to let you select the contents of the new zip file.

See also ...
 Add (files to archive)


Open Archive

Allows you to load an existing zip file. Only single selections are allowed here, EnZip cannot open multiple archives. The contents of the selected archive will then be displayed in the main EnZip window. Opened archives will be added to Windows Start/Documents menu.


Move Archive

Moves the archive from its currently saved position to a new location. A folder selection dialog is displayed to choose the new location. EnZip will then reload the archive from its new location.


Copy Archive

Creates a copy of the archive. A folder selection dialog is displayed to choose the destination for the copy. EnZip keeps open the original copy.


Rename Archive

Allows you to change the name of the current archive. The current name is displayed and a new name can be entered. Note: only the file name may be entered, not the full path.


Delete Archive

Deletes the currently opened zip file. You will be prompted for confirmation of the this action. Deleted files are sent to the Recycle Bin.


FTP Upload

This Wizard style dialog lets you upload archive files from your local computer to the internet. The opening page requires some information about the system you will be sending your file to.

  • Host
    The Host box contains the location of the FTP server to which the FTP Explorer is to connect. The location may also be specified by its IP address.
  • Port
    The Port option is set to 21 by default. Most servers accept ftp connection requests on port 21, but there are those that do not for security, or other reasons. Change the port number by clearing the default entry, and typing the new port number.
  • Login
    The login name that is required by the selected server to access your FTP account goes in this box. Some servers will accept anonymous FTP requests where you can enter 'anonymous' as the login and usually your e-mail address as the password.
  • Password
    Enter the password in this box which is required to access the FTP server. The password entered here will not be legible for security purposes.
  • Save settings on exit
    When checked, EnZip will save the the above information for future connections

Click 'Next' to move to the following page. Here you will see the name of the file to be uploaded and also be able to specify additional to send.

  • Upload File
    Displays the name of the file to upload to the Server
  • To Folder
    The remote folder on the server which the file(s) will be uploaded to. For example, '\uploads', is common folde for public file uploading.
  • Additional Files
    This box allows you to specify additional files to send with your archive. Use the 'Add' button to locate and select more files, or alternatively drag the files from Windows Explorer and drop onto the Additional Files box.

Clicking 'Next' will move onto a summary page where you can review your settings. To connect to the server and upload the files, click 'Next'.


Send Shortcut

Creates a Windows shortcut to the currently open archive file. A directory selection dialog is displayed to choose the location of the shortcut to be created.


Add Files

The Add Files dialog allows you to select files from anywhere on your computer to be added to the current archive in one action. The 'File & Folders to zip' box will display the icons and full file name of all files to be added. This single dialog is used for all add actions including context menus and drag/drop.

The 'To archive' box shows which archive the files will be added to. This will normally default to the archive currently open within EnZip. You can choose an alternative by clicking the '...' button.

To add a file, or folder, select (highlight) your file and click the 'Add Files' button. The selected files should now be listed in the 'Files & Folders...' box. You can continue to browse the computer to add more files, if required, and click the 'OK' button when ready. EnZip will proceed to add all the files to your archive and provide visual feedback on the progress for large file selections.

The Action box lets you choose from the following options;

  • Add Files
    The default action. This will add all selected files to the archive, replacing an existing files of the same name.
  • Update Files
    Adds newer versions of files to the current archive only where an older version already exists. Using this option on a new archive will result in no files being added, only use this option to update an existing archive.
  • Move Files
    Add all selected files to the current archive and delete the original files. Use this option with caution, remember, when the file(s) are added they are then removed from your system.
  • Add & Update Files
    Like Update, this adds newer versions of files to the current archive, but will also adds any specified files not already in the archive.

The Add Files dialog also allows you to specify wildcards such as '*.txt' or 'myfile00?.doc' for including (or excluding) from the add operation. For example, to include every file in the current folder except .doc files, you would enter '*.*' in the Filter box and click the 'Add Filter' button, then enter '*.doc' and click the 'Exclude Filter' button. (Note exclusions are listed with a cross beside them to show their status). Clicking the 'OK' button will now add all files except those of the .doc type.

To password encrypt your files, click 'Use Password Encryption' to place a check in the box. With this option checked, when you click the 'Add' button, EnZip will prompt for a password. Once in the archive, to view or extract these files you will be required to give the correct password. Note that for additional protection, EnZip requires the password for every action within a single session. Also note, encrypted files are indicated by EnZip with the '+' symbol.

Additional Options

Clicking the 'Options' tab at the top of the dialog will open a second page with more options to control the way your files are added to the archive.

The Compression list lets you set the compression method for the add action. There are five methods ranging from maximum to no compression. Maximum compression is the slowest method, but results in the smallest archive file. No compression is the fastest method, storing the files in the archive without compression, and results in a larger archive file.

The Multiple Disk Spanning list controls how EnZip handles disk-full conditions while creating a new archive on removable media (eg a floppy disk). These options are disabled unless you are working with a new archive on removable media. When enabled, the following options are available;

  • Automatic
    Prompts for another disk when the disk, on which you are creating an archive, is full.
  • Automatic + Auto Erase Disk Prompt
    This is the same as Automatic, but will give you the opportunity to erase any files on the disk.
  • No Spanning
    Results in a “disk full” error message if the size of the Zip file exceeds the space available on the disk.

The Options box, lets you specify some additional details for the add action;

  • Save full path information
    When this option is checked, each files' complete path (without drive information, ie c:\) will be included in the archive. Note that EnZip will automatically include a relative path when recursing folders.
  • Recurse Folders
    Useful when a wildcard filter is used for adding. EnZip will recurse through all sub folders for wildcard matches and add them to the archive.
  • Use MS-DOS name
    When checked, all files added to the archive will be forced to use the dos 8.3 filename restriction. This is useful when the target platform is unknown and compatibilty may be an issue.

The Attributes box lets you specify additional details relating to file attributes;

  • Include only if archive bit set
    When checked, only files with their archive attribute set will be added to the zip file.
  • Reset archive attribute
    When checked, the archive attribute of all files added will be cleared.
  • Include hidden files
    With this option checked, hidden files on you system will be included in the 'Add' action. This is most relevant when using wildcards (eg *.*), if you do not want hidden/system files to be included, ensure this box is not checked.

The Modified Date box allows you to specify;

  • Todays date
    The zip files modified date will be set to the current date
  • Newest date
    The zip files modified date will be set to the most recent date from the files added.


Extract Files

Displays the 'Extract Files' dialog. From here, files can be extracted from the currently open archive.

The 'Extract to folder' box lets you specify the target folder for extracting your files. This is combined with a visual list of the folders on your system for easy navigation and selection. Note that both boxes are syncronised and selections are automatically reflected in both the text and visual elements.

You can use the 'New Folder' button to open a dialog for easily creating new Folders for extracting. The visual list will be updated to display the new folder and the text box will now show the new folder as the extract target. Note that new folders can also be entered directly into the 'Extract to Folder' box, but will not be created until the 'Extract' button is clicked.

The 'Files' box lets you extract;

  • Selected Files
    Only the files currently highlighted will be extracted from the archive. This option will be disabled if no files are selected.
  • All Files
    All files in the archive will be extracted
  • Files
    Lets you specify a wildcard, such as *.txt or *.htm for selecting files to be extracted

The 'Update style' box lets you specify;

  • Extract and replace files
    This is the default setting. All files specified by the 'Files' box will be extracted.
  • Extract and update files
    This will extract files that do not already exist and extract newer files only when the 'Overwrite' box is checked (see below).
  • Freshen existing files only
    This will extract only newer versions of files which already exist. Files which do not exist in the target folder will not be extracted.

The Options box, lets you specify some additional details for the extract action;

  • Overwrite Existing Files
    If checked, existing files will be overwritten when extracting. If this option is not checked, existing files will be skipped.
  • Use Folder Names
    If checked, EnZip extracts and recreates the relative folder(s) that may have been stored with each file. Empty folders stored in the archive (if any) will also be recreated.


Delete Files

Delete (files from archive)

Deletes files from the currently open archive. A dialog is displayed with options to delete selected files or the entire archive. If no files are selected then this option will be disabled. The delete is not reversable, once deleted files cannot be undeleted.

Note, the 'Entire Archive', option will not delete the actual zip file itself, only the contents. If you wish to remove the zip file, use Delete Archive from the File menu.


Find Files

Displays the 'Find files' dialog. This dialog can be used to search for files using a filename or wildcard, date range or size range. EnZip will search for all matching files in the archive, recursing through all folders.

The dialog defaults to the name page when opened, here you can specify a particular file to find, eg readme.txt, or use a wildcard such as *.txt.

The Date page allows you to specify a date range for the search. This will match all files modified between the given dates inclusively.

The Size page allows you to specify a maximum or minimum size for files. For example, a search could be run for all files of 'at Least' 450kb.

Note that you can narrow the search by using a mix of all three pages. For example, a search could be run for all files matching; *.txt, modified between 01/06/99 and 12/06/99, and are at least 450kb in size.


Organize Favorites

Allows you to select folders to be displayed on the Favorites menu. Use the selection tree to navigate and highlight a folder, then click the 'Add' button, your folder will now be listed in the Current Favorites. To remove an item from this list, select the folder and click the 'Remove' button.

See also ...
 Favorite Search
Favorite Options


Favorites Options

Favorite Options

By default, EnZip will add folders automatically to your Favorites List each time you open a zip archive. You can change this behaviour when opening files in the Favorites Options dialog;

  • Add the folder to the Favorites list automatically
  • Ask before adding the folder to the Favorites list
  • Do not add the folder to the Favorites list


Favorite Search

Clicking the 'Search' button activates the Search dialog. Clicking 'Find Now' EnZip will search your computer and list all the folders which contain zip archives. The list also displays the number of archives in each folder so you can select the folders by importance. To add to your favorites list, click the check-box to the left of each folder you want to add (notice that EnZip will already have selected your existing Favorites Folders) and then click 'OK'.

The Favorite Search will completely replace your existing Favorites, so care must be taken when deselecting existing Favorites Folders.


Checkout

Checkout makes it easy to examine and/or run files in an archive. It creates a temporary folder, extracts all files from the archive into the folder, and creates an entry in the Windows 'Start Menu' for the files in the folder. An explorer window will be opened showing the files in the Start Menu. EnZip will prompt to delete the temporary folder and the Start Menu entry when you close the archive. Checkout is not available if the archive contains an "install" or "setup" program, the Install feature must be used instead.

Checkout uses a Wizard style dialog.The first page shows the general settings for creating a Checkout group.

The Folder box lets you specify the temporary Checkout folder name. The default folder is placed in the archives folder and uses the archive name (without the .zip extension). The 'Browse' button can be used to visually select a folder on your system. The folder will be created if it does not already exist.

The Group Name box lets you specify the name to use for the Start Menu entry.

Most uses of Checkout will only need to change the Folder and Group Name, clicking the 'Create' button at this point will setup the temporary extract Folder and the Start Menu Entry Group Name. For more detailed control of this creation, clicking the 'Next' button will display advanced settings for Checkout.

The Create Icons box lets you specify which files will have entries created in the Start Menu.

  • Create icons for programs and documents
  • Create icons for programs only
  • Create icons for documents only
  • Create icons for all files

The default selection for Checkout is to create icons for programs and documents.

The Limit Number of icons box lets you specify the maximum number of icons to be created in the Start Menu. This prevents the menu becoming 'overrun' with icons.


Install

The Install feature makes it easy to install software distributed in archives. The Install feature is only available if an archive contains an “install” or “setup” program, otherwise the Checkout feature must be used. The install feature extracts all the files to a temporary folder, runs the Setup or Install program, and deletes the temporary installation folder and files.

The Install dialog displays the name of the program which will be run after the files are extracted to a temporary folder. The Minimize during install checkbox lets you specify whether EnZip will be minimized during the installation.


Create Self-Extractor

This Wizard style dialog lets you create a Self-Extracting Archive from the currently open zip file. Use the 'Next' and 'Back' buttons to navigate through the options available for creating your file. At any point you may accept EnZips default settings and click the 'Create' button to make the Self-Extracting Archive.

  1. The opening page shows which zip file will be used to create the final executable.
  2. The next page allows you to specify a message to be displayed when the Self-Extractor is launched. The text you enter is limited to 255 characters, the current size of your message is displayed above and updated as you type. You can save this text for later reuse with the 'Save this this text ...' button and load with the 'Use test from an existing file' button. The 'Prompt' box allows you to specify which buttons you want shown on the message dialog box. The 'No' and 'Cancel' buttons will allow the user to close your Extractor without proceding.
  3. The Folder box lets you specify the default folder to use when extracting the files. If this box is left blank, the users temporary folder will be used. Note, if the folder does not exist the Self-extractor will attempt to create a new folder of that name.
  4. The Title Caption box lets you specify the window title for the self-extracting zip file.
  5. You can specify a command to be executed after the unzip operation completes. This command will be issued from the UnZip folder. The Command box specifies the program to execute and the Parameters box specifies the files to use.

    Common uses of this feature are;
    • Displaying a 'readme' file when extraction is complete;
      Command | notepad.exe
      Parameters | readme.txt
    • Running a setup program after extracting;
      Command setup.exe
      Parameters
  6. The icon page lets you choose your own icon for the Self-Extracting Archive. The 'Choose Icon' button will open the standard windows icon selector dialog to let you choose from any icon source on your pc, including files of the type ico, dll, exe.
  7. The Options box lets you specify some additional information for creating the Self-Extracting Archive.
    • Display run command check box
      When ticked, the Self-Extracting Archive will display a check box for the end user to specify whether or not to run any commands after extraction is complete.
    • Unzip automatically
      When, ticked the Self-Extracting Archive will not display a window or allow any user interaction. All files will be automatically extracted using the default extract folder when the file is run. This option should be used with caution.

    The Overwrite Action box lets you specify the default action to take when names of files being extracted conflict with existing files;

    • Confirm before overwriting
    • Overwrite without prompting
    • Skip existing files
  8. The Self-Extractor will display a summary of all the settings for the Self-Extracting Archive. Use this page to ensure the settings are as you intended. The 'Back' button can be used to go back and change incorrect settings. Clicking 'Create' or 'Next' will now create the EXE file from your zip file. Finally you will be offered the chance to test the Self-Extracting Archive, e-mail the file as an attachment or send the file by ftp.


Batch Extract

The Batch Extract dialog allows you to extract from mutiple archives in one action with control over how and where the files are extracted.

The 'Extract all files' box lists all the archives which will be extracted. You can add more archives to the list by drag and drop or by clicking the 'Add' button.

The 'To Folder' box lets you specify where the files will be extracted. This is the root folder for the extract action, additional folders will be created here if required.

The 'Options' box allows you to specify;

  • Overwrite Existing Files
    If checked, existing files will be overwritten when axtracting. If this option is not checked, existing files will be skipped.
  • Use Folder Names
    If checked, EnZip extracts and recreates the relative folders that have been stored with each files.
  • Extract to Seperate Folders
    If checked, EnZip will create a a seperate folder for each archive to be extracted.